<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
    <title>ERROR - ZTH-final</title>
    <style type="text/css">
        body {
            font-family: sans-serif;
            font-size: 16px;
            color: #404040;
        }

        .errorPanel {
            color: #A00000;
            background-color: #FFD0D0;
            border: 1px solid #FFA0A0;
            border-radius: 4px;
            text-align: center;
            padding: 8px;
            margin: 8px 8px 24px;
            font-weight: bold;
        }

        input[type='submit'], input[type='button'] {
            height: 32px;
            font-weight: bold;
            background-color: #FAFAFA;
            border: 1px solid #F0F0F0;
            color: #707070;
            font-size: 16px;
        }

        input[type='submit']:hover, input[type='button']:hover {
            background-color: #F0F0F0;
            border: 1px solid #EAEAEA;
            color: #6A6A6A;
        }

        .redButton {
            background-color: #FFEAEA !important;
            border: 1px solid #FAD0D0 !important;
            color: #905050 !important;
        }

        .redButton:hover {
            background-color: #FAE0E0 !important;
            border: 1px solid #F0CACA !important;
            color: #854545 !important;
        }
        
        .customHr {
            border-top: 1px solid #F0F0F0;
            margin-top: 4px;
            margin-bottom: 4px;
        }

        .rightIt * {
            float: right;
        }

        .rightIt:after {
            content: '';
            display: block;
            clear: both;
        }
    </style>
</h:head>
<body>

<h:form>

    <h:button class="redButton" value="Home" outcome="/index.xhtml"/>
    
    <div class="customHr"></div>

    <div class="errorPanel">
        Exception: #{requestScope['javax.servlet.error.exception'].class.name} -> #{requestScope['javax.servlet.error.exception'].message}
    </div>

</h:form>

</body>
</html>
